[Overview][Resource strings][Constants][Types][Procedures and functions][Index] | Reference for unit 'unicodedata' (#rtl)

# equal(Word,TUInt24Rec):Boolean

Check whether a TUInt24Rec value equals a word value.

## Declaration

Source position: unicodedata.pas line 243

`class operator TUInt24Rec.equal(Word,TUInt24Rec):Boolean(`
`a: Word;`
`b: TUInt24Rec`
`):Boolean;`

## Arguments

`a` |  | Word value to compare
`b` |  | TUInt24Rec to compare

## Function result

True if a and b are equal

## Description

The word a is considered equal to b if its 2 bytes equal byte0, byte1 and byte2 is zero.